<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//08-02-2021 la construcción unserialize(OPERACIONES)[$_SESSION['accion']] da error 500 en Carreras
$arrayOperaciones=unserialize(OPERACIONES);

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-gs1.php');

$requierePaletizar=( $_SESSION['parametrosSGA']['PickingPacking']=='S' );

if($_GET['traza']=='si') {
	echo '<p>pickingpacking: '.$_SESSION['parametrosSGA']['PickingPacking'].'</p>';
	echo '<p>gestionPaletizado: '.$_SESSION['gestionPaletizado'].'</p>';
}

////////////////////////////////
//// para pruebas manuales /////
////////////////////////////////
//$desactivaScannerBluetooth=true;
////////////////////////////////

$envioFinOk=false;

if($_POST['enviarFormularioFin']=='1') {

	//SGAOperacionesLog#PXPU#PMO#FINOPERACION#1;PXPU;TL200173;
	//Articulo;Idioma;
	//PrecintaInicial;PrecintaFinal;CantidadPrecintada;CantidadAnulada;precintas rotas entre comas
	
	$peticion='SGAOperacionesLog#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#FINOPERACION#'.$_SESSION['almacen'].';'.$_SESSION['operacion']['Empresa'].';'.$_SESSION['operacion']['NumOperacion'];
	$peticion.=';'.$_GET['Producto'].';'.$_GET['Idioma'];
	$peticion.=';'.$_GET['PrecintaInicial'].';'.$_POST['precintaFinal'].';'.$_POST['cantidadPrecintada'].';'.$_POST['cantidadAnulada'];
	
	$cadenaPrecintasRotas='';
	for ($i=1;$i<=(int)$_POST['cantidadPrecintasRotas'];$i++) {
		if($_POST['precintaRota-'.$i]!='') {
			if($cadenaPrecintasRotas!='') $cadenaPrecintasRotas.=',';
			$cadenaPrecintasRotas.=$_POST['precintaRota-'.$i];
		}
	}
	$peticion.=';'.$cadenaPrecintasRotas;
	
	//8-1-2021 nuevos cambios: correccion en precinta inicial y lote
	if($_POST['precintaInicial']!=$_GET['PrecintaInicial']) $cambioPrecintaInicial=$_POST['precintaInicial'];
	if($_POST['lote']!=$_GET['LoteManual']) $cambioLote=$_POST['lote'];
	$peticion.=';'.$cambioPrecintaInicial.';'.$cambioLote;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>Llamada fin:</p>';
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='1') {
		?>
        <script>
			alert('Error: <?php echo $valores[1]; ?>',null,'error');
		</script>
        <?php
	}
	else $envioFinOk=true;

}



//SGAOperacionesLog#PXPU#PMO#LISTADOOPERACIONES#1;PXPU;PREC;TL200173 

$peticion='SGAOperacionesLog#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOOPERACIONES#'.$_SESSION['almacen'].';'.$_SESSION['operacion']['Empresa'].';'.$_SESSION['accion'].';'.$_SESSION['operacion']['NumOperacion'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	

if(!$resultado[0]['BloqueoProxium']) {

	$_SESSION['operacion']=$resultado[0];
	
	$requierePaletizar=( $_SESSION['operacion']['ProcedenciaPicking']=='S' );
	
	$productos=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['ProductosPrecintables']);
	
	//echo '<p>operacion: </p>';
	//print_r($_SESSION['operacion']);
	//echo '<p>producto: </p>';
	//print_r($productos);
	
	if( $envioFinOk ) {
		if(is_array($productos) && count($productos)==0) {
			?>
			 <script>
                alert('La Operación ha sido completada y no quedan más productos.',null,'ok')
                .done(function(){
                    $('#popupCargando').show();
                    window.location='operaciones-logisticas.php';
                });
            </script>
            <?php
		}
		else {
			?>
			 <script>
                $('#popupCargando').show();
                window.location='operacion-logistica.php';
            </script>
            <?php
		}
		
	}
	
	
	
	?>
	
	<h2>Orden de <?php echo $arrayOperaciones[$_SESSION['accion']]; ?> Nº <?php echo $_SESSION['operacion']['NumOperacion']; ?></h2>
    
	<table class="tablaFormateada" style="margin:0 auto">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
			<th>Nº Orden</th>
			<th>Fecha</th>
			<th>Cliente</th>
			<th>Estado</th>
		</tr>
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $_SESSION['operacion']['Empresa']; ?></td><?php } ?>
			<td valign="middle"><?php echo $_SESSION['operacion']['NumOperacion']; ?></td>
			<td valign="middle"><?php echo fechaNacional($_SESSION['operacion']['Fecha']); ?></td>
			<td valign="middle"><?php echo $_SESSION['operacion']['ClienteNombre']; ?></td>
			<td valign="middle"><?php echo $_SESSION['operacion']['Estado']; ?></td>
		</tr>
	</table>
    
	<br />
    
	<table class="tablaFormateada">
			<tr>
			  <th>Código</th>
				<th>Descripción</th>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $comportamiento['NombreSQL']!='NumSerie') { ?><th><?php echo $comportamiento['Nombre']; ?></th>
				<?php } ?>
				<?php } ?>
				<th>Pendiente</th>
                <th>Cajas</th>
			</tr>
			 <?php
			 foreach($productos as $producto) {
				 
				 $coincidencia=true;
				 
				 if($producto['Producto']!=$_GET['Producto']) $coincidencia=false;
				 foreach($_SESSION['comportamientos'] as $comportamiento) if($producto[$comportamiento['NombreSQL']]!=$_GET[$comportamiento['NombreSQL']]) $coincidencia=false;
				 
				 if($coincidencia) {
				 
					?>
					 <tr Producto="<?php echo $producto['Producto']; ?>" <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?><?php echo $comportamiento['NombreSQL']; ?>="<?php echo $producto[$comportamiento['NombreSQL']]; ?>" <?php } ?> Palets="<?php echo $producto['Contenedor']; ?>">
					   <td valign="top"><?php echo $producto['Producto']; ?></td>
						<td valign="top"><?php echo $producto['ProductoDescripcion']; ?></td>
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S' && $comportamiento['NombreSQL']!='NumSerie') { ?>
								<td valign="top"><?php echo $producto[$comportamiento['NombreSQL']]; ?></td>
							<?php } ?>
						<?php } ?>
						<td align="right" valign="top"><?php echo $producto['CantidadPendiente']; ?></td>
                        <td align="right" valign="top"><?php echo formateaNumeroDecimal($producto['CantidadPendienteCajas']); ?></td>
					</tr>
					<?php
					
					break; //para que no siga el bucle foreach
					
				} //Fin coincidencia producto
				
			} //Fin foreach productos
			?>
	</table>
	
	<p>Operación en proceso:</p>
	
	<?php
	foreach( arreglaArrayPXMobileProxiumResult($producto['PrecintadosIniciados']) as $precintadoIniciado) {
		
		if($precintadoIniciado['PrecintaInicial']==$_GET['PrecintaInicial']) {
			
			?>
			<table class="tablaFormateada">
					
				<tr>
					<?php if($requierePaletizar) { ?>
					<th>Palet Picking</th>
					<th>Palet Destino</th>
					<?php } ?>
					<th>Tipo Precinta</th>
					<th>Precinta Inicial</th>
					<?php if($precintadoIniciado['LoteManual']) { ?><th>Lote informado</th><?php } ?>
					<th>Identificador de la Operación</th>
				</tr>
			
				<tr>
					<?php if($requierePaletizar) { ?>
					<td><?php echo $precintadoIniciado['PaletOrigen']; ?></td>
					<td><?php echo $precintadoIniciado['PaletDestino']; ?></td>
					<?php } ?>
					<td><?php echo $precintadoIniciado['TipoPrecinta']; ?></td>
					<td><?php echo $precintadoIniciado['PrecintaInicial']; ?></td>
					<?php if($precintadoIniciado['LoteManual']) { ?><td><?php echo $precintadoIniciado['LoteManual']; ?><?php } ?></td>
					<td><?php echo $precintadoIniciado['Observaciones']; ?></td>
				</tr>
			</table>
			<?php
			
			break;	
		}
		
	}
	?>
	
	<form id="formulario" name="formulario" method="post" action="" style="margin-top:40px">
		
        <?php if($precintadoIniciado['LoteManual']) { ?>
		
        <p class="sinMargen">Lote:
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
		<img src="<?php echo DIR_IMAGENES; ?>/candado.png" alt="Mostrar teclado" class="iconoCandado" id="candadoLote" nombreCampo="Lote"/><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLote" style="display:none"/><input id="lote" name="lote" type="text" class="campo campoOrdenPreparacion campoGS1 deshabilitado" style="left:5px;" value="<?php echo $precintadoIniciado['LoteManual']; ?>" autocomplete="off" readonly />
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarLote" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;display:none"/>
		</div>
		</p>
		
		<?php } ?>
        
        <p class="sinMargen">Precinta inicial:
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
		  <img src="<?php echo DIR_IMAGENES; ?>/candado.png" alt="Mostrar teclado" class="iconoCandado" id="candadoPrecintaInicial" nombreCampo="Precinta Inicial"/><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPrecintaInicial" style="display:none"/><input id="precintaInicial" name="precintaInicial" type="text" class="campo campoOrdenPreparacion campoTipoPrecinta deshabilitado" style="left:5px;" value="<?php echo $precintadoIniciado['PrecintaInicial']; ?>" autocomplete="off" readonly />
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPrecintaInicial" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;display:none"/>
		</div>
		</p>
        
	  <p class="sinMargen">Precinta final:
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPrecintaFinal" /><input id="precintaFinal" name="precintaFinal" type="text" class="campo campoOrdenPreparacion campoTipoPrecinta" style="left:5px;" value="<?php echo $_POST['precintaFinal']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPrecintaFinal" class="iconoBorrar iconoBorrarTipoPrecinta" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		</p>
	
		<p class="sinMargen">Unidades precintadas:
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<input id="cantidadPrecintada" name="cantidadPrecintada" type="text" class="campo cantidad campoOrdenPreparacion calculadoraAutomatica" style="left:5px;" value="<?php echo $_POST['cantidadPrecintada']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidadPrecintada" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		</p>
		
		<p class="sinMargen">Unidades anuladas:
		<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
			<input id="cantidadAnulada" name="cantidadAnulada" type="text" class="campo cantidad campoOrdenPreparacion calculadoraAutomatica" style="left:5px;" value="<?php echo $_POST['cantidadAnulada']; ?>" autocomplete="off"/>
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidadAnulada" class="iconoBorrar" style="position:absolute;right:5px;cursor:pointer;"/>
		</div>
		</p>
		
        <?php
        
		function pintaBloquePrecintaRota($numero,$maximo) {
		
			global $cadenaPrecintasRotas;
			//echo '<p>Pinta bloque: '.$numero.' de '.$maximo.'</p>';
			
			?>
			<div id="bloqueLecturaPrecintaRota-<?php echo $numero; ?>" class="campoOrdenPreparacionBloque" style="margin:0 auto">
				<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPrecintaRota-<?php echo $numero; ?>" />
				<input id="precintaRota-<?php echo $numero; ?>" name="precintaRota-<?php echo $numero; ?>" type="text" class="campo campoOrdenPreparacion precintaRota campoTipoPrecinta" contador="<?php echo $numero; ?>" autocomplete="off" style="left:5px;" value="<?php echo $cadenaPrecintasRotas[$numero-1]; ?>"/>
				<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="iconoBorrar borrarPrecintaRota" id="iconoBorrarPrecintaRota-<?php echo $numero; ?>" style="position:absolute;right:5px;cursor:pointer;<?php if(!$cadenaPrecintasRotas[$numero-1]) { ?>display:none<?php } ?>" contador="<?php echo $numero; ?>"/>
			</div>
			<div id="nuevaLecturaPrecintaRota-<?php echo $numero; ?>"><?php if( ($numero<=$maximo && $maximo>1) || ($maximo==1 && $cadenaPrecintasRotas[$numero-1]!='') ) pintaBloquePrecintaRota($numero+1,$maximo); ?></div>
            <?php
		}
		
		$cadenaPrecintasRotas=explode(',',$cadenaPrecintasRotas);
		if(is_array($cadenaPrecintasRotas) && count($cadenaPrecintasRotas)>0) $maximo=count($cadenaPrecintasRotas); else $maximo=1;
		
		//print_r($cadenaPrecintasRotas);
		
		?>
        
		<p class="sinMargen">Precintas dañadas:
		<div>
			<?php pintaBloquePrecintaRota(1,$maximo); ?>
		</div>
		</p>
		
		<input type="hidden" id="cantidadPrecintasRotas" name="cantidadPrecintasRotas" value="<?php if($maximo>0) echo $maximo+1; ?>" />
		
		<input type="hidden" name="enviarFormularioFin" id="enviarFormularioFin" value="0"/>
		
		<p><input type="button" name="botonAceptarFin" id="botonAceptarFin" value="Detener <?php echo $arrayOperaciones[$_SESSION['accion']]; ?>" class="boton"/></p>
		<p><input type="button" name="botonCancelarFin" id="botonCancelarFin" value="Cancelar" class="boton reducido"/></p>
	
	</form>
	
	
	<script>
	
	function construyePrecintaRota(contador) {
						
			var nuevoContador=parseInt(contador)+1;
			
			$('#nuevaLecturaPrecintaRota-'+contador).html('<div id="bloqueLecturaPrecintaRota-'+nuevoContador+'" class="campoOrdenPreparacionBloque" style="margin:0 auto"><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPrecintaRota-'+nuevoContador+'" /><input id="precintaRota-'+nuevoContador+'" name="precintaRota-'+nuevoContador+'" type="text" class="campo campoOrdenPreparacion precintaRota campoTipoPrecinta" contador="'+nuevoContador+'" autocomplete="off" style="left:5px;"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="iconoBorrarPrecintaRota-'+nuevoContador+'" class="iconoBorrar borrarPrecintaRota" style="position:absolute;right:5px;cursor:pointer;display:none" contador="'+nuevoContador+'"/></div><div id="nuevaLecturaPrecintaRota-'+nuevoContador+'"></div>');
			
			$('#ultimoBloquePrecintaRota').val(nuevoContador);
			$('#precintaRota-'+nuevoContador).focus();
			
			var posicion = $('#precintaRota-'+nuevoContador).offset().top;
			$('html,body').animate({scrollTop:posicion});
			
			$('#cantidadPrecintasRotas').val(nuevoContador);
			
	}
	
	
	
	var secuenciaCamposFin=new Array('lote','precintaInicial','precintaFinal','cantidadPrecintada','cantidadAnulada','precintaRota-1');
	
	function reiniciaCamposInicio() {
	
		for (i=0;i<secuenciaCamposFin.length;i++) {
			$('#'+secuenciaCamposFin[i]).val('');
		}
	
	}
	
	function focoSiguienteFin(campoActual) {
			
		var encontradoActual=false;
		var foco='';
			
		if( campoActual=='' && $('#'+secuenciaCamposFin[0]).val()=='' ) foco=secuenciaCamposFin[0];
		else {
			for (i=0;i<secuenciaCamposFin.length;i++) {
				if(secuenciaCamposFin[i]==campoActual || campoActual=='') encontradoActual=true;
				if( encontradoActual && !$('#'+secuenciaCamposFin[i+1]).prop('readonly') && $('#'+secuenciaCamposFin[i+1]).val()=='' ) {
					foco=secuenciaCamposFin[i+1];
					break;
				}
			}
		}
		
		if(foco!='') {
			$('#'+foco).focus();
			return foco;
		}
	}
	
	function validacion() {
	
		var resultado=true;
		
		if( !$('#precintaInicial').val() ) {
			alert('Debes indicar el número de la primera Precinta para esta Operación.',$('#precintaInicial'),'error');
			resultado=false;
		}
		else if( !$('#precintaFinal').val() ) {
			alert('Debes indicar el número de la última Precinta para esta Operación.',$('#precintaFinal'),'error');
			resultado=false;
		}
		else if( !$('#cantidadPrecintada').val() ) {
			alert('Para la validación, debes indicar el número de unidades precintadas.',$('#cantidadPrecintada'),'error');
			resultado=false;
		}
		<?php if($precintadoIniciado['LoteManual']) { ?>
		else if( !$('#lote').val() || $('#lote').val()=='-' ) {
			
			var mensaje='Es obligatorio especificar el lote';
			
			if( $('#lote').val()=='-' ) {
				mensaje+=' y no puede informarse un guión';
				$('#lote').val('');
			}
			mensaje+='.';
			
			alert(mensaje,$('#lote'),'error');
			resultado=false;
		}
		else if( $('#lote').val().length > 30 ) {
			
			alert('Error: La longitud del lote no puede exceder los 30 caracteres.',$('#lote'),'error');
			resultado=false;
		}
		<?php } ?>
		
		return resultado;
	
	}
	
	<?php if(!$desactivaScannerBluetooth) { ?>
	
	var lecturaScanner=new Array();
	var cadenaLectura='';
	
	function reiniciaScanner() {
		console.log('REINICIO DE SCANNER');
		lecturaScanner=new Array();
		cadenaLectura='';
	}
	
	<?php } ?>
	
	$(document).ready(function() {
	
		<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
		//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
	
		//($("#precintaInicial").on('keydown',function(e){
		$(document).on('keydown','.campoTipoPrecinta',function(e){
		
			e.preventDefault();
			var resultado='';
			
			if(e.which==13 || e.key=='Enter') {
				//console.log('Se procede a hacer un trigger change');
				$(this).trigger('change');
			}
			else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which , e.key ] );
			
		});
		
		<?php } ?>
		
		$(document).on('change','.campoTipoPrecinta',function(){
			
			<?php if( $desactivaScannerBluetooth || $desactivaScannerBluetoothParaPrecinta ) { ?>
			//Si está desactivado el scanner de bluetooth en general o está desactivado específicamente para precintas
			
			var lecturaFinal=$(this).val();
			console.log('lecturaFinal: '+lecturaFinal);
			
			<?php } else { ?>
			
			if(lecturaScanner.length>0) {
			
				var lecturaFinal='';
				
				lecturaFinal=limpiaLecturaDesdeScannerPrecinta( lecturaScanner );
				
				reiniciaScanner();
				
			}
	
			
			<?php } ?>
			
			var expresion = /^[0-9]*$/;
			var soloNumeros = expresion.test(lecturaFinal); 
			
			var precinta;
			if(soloNumeros) precinta=lecturaFinal;
			else precinta=extraePrecintaDeURL(lecturaFinal);
			
			console.log('precinta extraida: '+precinta);
			
			$(this).val( precinta );
	
			
			
		});
		
		$('.iconoBorrarTipoPrecinta').on('click',function(){
		
			<?php if(!$desactivaScannerBluetooth && !$desactivaScannerBluetoothParaPrecinta) { ?>
			//Si no está dsactivado el scanner de bluetooth y no está forzado el desactivarlo especfíciamente para precintas.
		
			reiniciaScanner();
			
			<?php } ?>
			
		});
	
		$('#botonAceptarFin').on("click",function(e){
		
			if( validacion() ) {
				$('#popupCargando').show();
				$('#enviarFormularioFin').val(1);
				$('#formulario').submit();
			}
			
		});
		
		$('#botonCancelarFin').on('click',function(){
		
			$('#popupCargando').show();
			window.location='operacion-logistica.php';
			
		});
		
	
		
		
		//Metodos genericos teclado y borrar campos
		
		$(document).on('click','.iconoTeclado',function(){
			
			var campo=$(this).siblings('input');
			
			$('#teclado').show();
			$('#valor').val( campo.val() );
			$('#valorOculto').val( campo.val() );
			$('#enter').attr('campoValor', campo.attr('id') );
			$('#enter').attr('forzarEnter','si');
			
		});
		
		$(document).on('click','.calculadoraAutomatica',function(){
			
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
			$('#enterCalculadora').attr('forzarEnter','si');
			
		});
		
		$(document).on('click','.iconoBorrar',function(){
			
			var campo=$(this).siblings('input');
			campo.val('');
			campo.focus();
			
		});
		
		$(document).on('change','.campoOrdenPreparacion',function(){
			
			var campoActual=$(this).attr('id');
			
			console.log('change en campo: '+campoActual+' / valor: '+$(this).val());
			
			<?php if($desactivaScannerBluetooth) { ?>
			
			focoSiguienteFin(campoActual);
			
			<?php } else { ?>
			
			if ( !$(this).hasClass('campoTipoPrecinta') ) {
			
				//console.log('es un campo normal no precinta');
			
				//console.log('array de lectura antes change: ');
				//console.log(lecturaScanner);
			
				if(!$(this).hasClass('calculadoraAutomatica')) { //Los campos calculadora autimatica, no pillamos las pulsaciones, porque se ha inyectado el valor por javascript
					
					var mostrarLectura=limpiaLecturaDesdeScannerNoPrecinta(lecturaScanner);
					$(this).val(mostrarLectura);
					
					
					//console.log('array de lectura tras change: ');
					//console.log(lecturaScanner);
					//console.log('cadena de lectura tras change: '+cadenaLectura);
				
				}
				
				
				focoSiguienteFin(campoActual);
				reiniciaScanner();
				
			}
			
			<?php } ?>
			
		});
		
		$(document).on('change','.precintaRota',function(){
		
			if($(this).val()!='') {
		
				var contador=$(this).attr('contador');
				
				$(this).attr('readonly','readonly');
				$('#tecladoPrecintaRota-'+contador).hide();
				$('#iconoBorrarPrecintaRota-'+contador).show();
				
				construyePrecintaRota(contador);
				
			}
			
		});
		
		$(document).on('click','.borrarPrecintaRota',function(){
		
			console.log('se ha hecho clic en borrar precinta rota');
		
			var contador=$(this).attr('contador');
			var ultima=$('#cantidadPrecintasRotas').val();
			
			console.log('contador: '+contador);
			console.log('ultima: '+ultima);
			
			$('#bloqueLecturaPrecintaRota-'+contador).hide();
			
			$('#precintaRota-'+ultima).focus();
		
		});
		
		$('.iconoCandado').on('click',function(){
		
			var nombreCampo=$(this).attr('nombreCampo');
			var iconoPulsado=$(this);
			
			confirm('Se va a proceder a modificar el dato original de '+nombreCampo+'<br><br>¿Deseas continuar?','advertencia','Modificar','Cancelar')
			.done(function(){
				iconoPulsado.siblings('img').show();
				iconoPulsado.siblings('input').prop('readonly',false);
				iconoPulsado.siblings('input').removeClass('deshabilitado');
				iconoPulsado.siblings('input').val('');
				iconoPulsado.siblings('input').focus();
				iconoPulsado.hide();
			});
			
		});
		
		
		focoSiguienteFin('');
	
	});
	
	</script>
	<?php

	//echo "<p>Hay trabajadores: ".$hayTrabajadores."</p>";
	//echo "<p>Hay fichajes iniciados: ".$fichajesIniciados."</p>";

}
else {
	?>
    <p class="error"><img src="<?php echo DIR_IMAGENES; ?>/iconos/error.png" width="50" height="50" /><br /><?php echo $resultado[0]['BloqueoProxium']; ?></p>
    <p><input type="button" name="botonVolver" id="botonVolver" value="Volver" class="boton reducido"/></p>
    <script>
	
	$(document).ready(function() {
	
		$('#botonVolver').on('click',function(){
			
			$('#popupCargando').show();
			window.location='operacion-logistica.php';
				
		});
		
	});
	
	</script>
    <?php
}

//include($rutaPhp.$rutaHtml.'/maqueta/menu-operacion-logistica.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>